# AdditionalData

@Incubating
@NullMarked
interface AdditionalData

Additional data attached to the problem.

There are no subtypes defined for this interface yet. Clients should expect some defined in future versions of Gradle.

The information returned by `#getAsMap` is considered dynamic information and subject to change between Gradle versions.

For an example to provide org.gradle.tooling.events.problems.CustomAdditionalData, see here.

#### Since

8.6

#### See also

CustomAdditionalData

#### Inheritors

CustomAdditionalData

## Functions

getAsMap
Link copied to clipboard
abstract fun getAsMap(): Map<String, Any>
Returns additional data as a map.